<?php



// Load Nette Framework
if (@!include dirname(__FILE__) . '/../../../Nette/loader.php') {
	die('Install Nette using `composer update`');
}

// Configure application
$configurator = new NConfigurator;

// Enable Nette Debugger for error visualisation & logging
//$configurator->setDebugMode(TRUE);
$configurator->enableDebugger(dirname(__FILE__) . '/../log');

// Enable RobotLoader - this will load all classes automatically
$configurator->setTempDirectory(dirname(__FILE__) . '/../temp');
$configurator->createRobotLoader()
	->addDirectory(dirname(__FILE__))
	->register();

// Create Dependency Injection container from config.neon file
$configurator->addConfig(dirname(__FILE__) . '/config.neon');
$container = $configurator->createContainer();

// Setup router using mod_rewrite detection
if (function_exists('apache_get_modules') && in_array('mod_rewrite', apache_get_modules())) {
	$router = $container->getService('router');
	$router[] = new NRoute('index.php', 'Dashboard:default', NRoute::ONE_WAY);
	$router[] = new NRoute('<presenter>/<action>[/<id>]', 'Dashboard:default');

} else {
	$container->addService('router', new NSimpleRouter('Dashboard:default'));
}

return $container;
