<?php

/**
 * This file is part of the Nette Framework (http://nette.org)
 * Copyright (c) 2004 David Grudl (http://davidgrudl.com)
 * @package Nette\Application\UI
 */



/**
 * Component multiplier.
 *
 * @author     David Grudl
 * @package Nette\Application\UI
 */
class NMultiplier extends NPresenterComponent
{
	/** @var NCallback */
	private $factory;


	/**
	 * @param callable
	 */
	public function __construct($factory)
	{
		parent::__construct();
		$this->factory = new NCallback($factory);
	}


	protected function createComponent($name)
	{
		return $this->factory->invoke($name, $this);
	}

}
