<?php

/**
 * This file is part of the Nette Framework (http://nette.org)
 * Copyright (c) 2004 David Grudl (http://davidgrudl.com)
 * @package Nette\Security\Diagnostics
 */



/**
 * User panel for Debugger Bar.
 *
 * @author     David Grudl
 * @package Nette\Security\Diagnostics
 */
class NUserPanel extends NObject implements IBarPanel
{
	/** @var NUser */
	private $user;


	public function __construct(NUser $user)
	{
		$this->user = $user;
	}


	/**
	 * Renders tab.
	 * @return string
	 */
	public function getTab()
	{
		ob_start();
		require dirname(__FILE__) . '/templates/UserPanel.tab.phtml';
		return ob_get_clean();
	}


	/**
	 * Renders panel.
	 * @return string
	 */
	public function getPanel()
	{
		ob_start();
		require dirname(__FILE__) . '/templates/UserPanel.panel.phtml';
		return ob_get_clean();
	}

}
